<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:poll="http://typo3.org/ns/CodingMs/Poll/ViewHelpers">

	<f:section name="Default">
		<!-- poll: Partials/Question/Single.html Default [begin] -->

		<div class="poll-question single layout-default {question.additionalCssClass} {f:if(condition: questionIteration.isOdd, then: 'odd')} {f:if(condition: questionIteration.isEven, then: 'even')}" id="poll-question-{question.uid}">

			<f:render partial="Poll/Question/ShowHrBefore" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/Headline" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/ErrorMessages" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question" section="Default" arguments="{_all}" />

			<!-- Answers -->
			<div class="poll-question-answers">
				<f:for each="{question.questionAnswer}" as="answer" iteration="questionAnswerIteration">
					<div class="poll-answer {f:if(condition: questionAnswerIteration.isOdd, then: 'odd')} {f:if(condition: questionAnswerIteration.isEven, then: 'even')}"
						 id="poll-answer-{answer.uid}">

						<f:render partial="Poll/Question/Answer/Image" section="Default" arguments="{_all}" />

						<label class="poll-radio">
							<!-- If the answer is available in answers-array.. -->
							<f:if condition="{poll:variable.get(name: 'answers.question_{question.uid}')}">
								<f:then>
									<!-- use the value -->
									<f:form.radio name="answers[question_{question.uid}]" checked="1"
												  id="question_answer_{question.uid}_{answer.uid}"
												  value="{answer.uid}" />
								</f:then>
								<f:else>
									<!-- otherwise use the default value -->
									<f:form.radio name="answers[question_{question.uid}]" id="question_answer_{question.uid}_{answer.uid}"
												  value="{answer.uid}" checked="{answer.answer} == {question.questionAnswerDefault}" />
								</f:else>
							</f:if>
							<span class="poll-radio-label">{answer.answer}</span>
						</label>
						<f:if condition="{answer.useUserAnswer}">
							<div class="poll-radiobutton-user-answer">
								<!-- If the answer is available in answers-array.. -->
								<f:if condition="{poll:variable.get(name: 'answers.question_{question.uid}_{answer.uid}_userAnswer')}">
									<f:then>
										<!-- use the value -->
										<f:form.textfield name="answers[question_{question.uid}_{answer.uid}_userAnswer]"
														  value="{poll:variable.get(name: 'answers.question_{question.uid}_{answer.uid}_userAnswer')}"
														  placeholder="{answer.userAnswerPlaceholder}" />
									</f:then>
									<f:else>
										<!-- otherwise use the default value -->
										<f:form.textfield name="answers[question_{question.uid}_{answer.uid}_userAnswer]"
														  value=""
														  placeholder="{answer.userAnswerPlaceholder}" />
									</f:else>
								</f:if>
							</div>
						</f:if>

						<f:render partial="Poll/Question/Answer/Description" section="Default" arguments="{_all}" />

					</div>
				</f:for>
			</div>

		</div>

		<!-- poll: Partials/Question/Single.html Default [end] -->
	</f:section>

</div>
